[![DOI](https://zenodo.org/badge/117668242.svg)](https://zenodo.org/badge/latestdoi/117668242) [![Twitter Follow](https://img.shields.io/twitter/follow/spinw4.svg?style=social&label=Follow)](https://twitter.com/intent/user?screen_name=spinw4) [![Github All Releases](https://img.shields.io/github/downloads/tsdev/spinw/total.svg)](https://github.com/tsdev/spinw/releases)


<img src="spinw3_logo.png" width="150">

**SpinW** (*spin-double-u*) is a Matlab library that can optimize magnetic structures using mean field theory and calculate spin wave dispersion and spin-spin correlation function for complex crystal and magnetic structures. For details check http://www.spinw.org

Keep up to date on announcements and more by following [@spinw4](https://twitter.com/intent/user?screen_name=spinw4) on Twitter.

# Documentation
* experimental and under construction, the address can change in the future
* documentation of the master branch
* use `swdoc`/`swhelp` instead of the Matlab built-in `doc`/`help` functions to get help on SpinW
* can be also accessed from the browser: https://spinw.github.io/spinwdoc/

# Build Status
We are currently testing on Centos 7.3, macOS and Windows using MATLAB R2018b. It should be noted that MATLAB symbolic calculation changed post R2018a and as such symbolic results may be differ with a relative tolerance of < 0.03 %.

Testing can be pulled from the [testing](https://www.github.com/spinw/testing) repository and run with the `runspinwFunctionalityTests` command from the `Testing` directory.
### MacOS
## SpinW
### Linux - CentOS 7.3 
[![Build Status](https://jenkins.esss.dk/spinw/job/SpinW-CentOS/badge/icon)](https://jenkins.esss.dk/spinw/job/SpinW-CentOS)
### MacOS 
[![Build Status](https://jenkins.esss.dk/spinw/job/SpinW-OSX/badge/icon)](https://jenkins.esss.dk/spinw/job/SpinW-OSX)
### Windows 10
[![Build Status](https://jenkins.esss.dk/spinw/job/SpinW-Windows/badge/icon)](https://jenkins.esss.dk/spinw/job/SpinW-Windows/)

## pySpinW
### Linux - CentOS 7.3 
[![Build Status](https://jenkins.esss.dk/spinw/job/pySpinW-CentOS-Compile/badge/icon)](https://jenkins.esss.dk/spinw/job/pySpinW-CentOS-Compile)
### MacOS 
[![Build Status](https://jenkins.esss.dk/spinw/job/pySpinW-OSX-Compile/badge/icon)](https://jenkins.esss.dk/spinw/job/pySpinW-OSX-Compile)
### Windows 10
[![Build Status](https://jenkins.esss.dk/spinw/job/pySpinW-Windows-Compile/badge/icon)](https://jenkins.esss.dk/spinw/job/pySpinW-Windows-Compile/)
